%define upstream_name    Variable-Magic
%define upstream_version 0.64

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Associate magic to variables from Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Variable/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(POSIX)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl-devel
%description
Magic is Perl's way of enhancing objects. This mechanism lets the user add
extra data to any variable and hook syntactical operations (such as access,
assignation or destruction) that can be applied to it. With this module,
you can add your own magic to any variable without the pain of the C API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

#fix rights
chmod 755 samples/

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/99-kwalitee.t
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes META.json META.yml MYMETA.yml README samples
%{_mandir}/man3/*
%perl_vendorarch/Variable
%perl_vendorarch/auto/Variable

%changelog
* Tue Mar 26 2024 tv <tv> 0.640.0-1.mga10
+ Revision: 2052368
- update to 0.64

* Tue Nov 28 2023 tv <tv> 0.630.0-2.mga10
+ Revision: 2010562
- Rebuild for perl-5.38

* Thu Sep 22 2022 tv <tv> 0.630.0-1.mga9
+ Revision: 1891475
- update to 0.63

* Tue Jun 07 2022 umeabot <umeabot> 0.620.0-9.mga9
+ Revision: 1862958
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.620.0-8.mga9
+ Revision: 1796252
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.620.0-7.mga9
+ Revision: 1727696
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 0.620.0-6.mga8
+ Revision: 1595670
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.620.0-5.mga8
+ Revision: 1528797
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 0.620.0-4.mga8
+ Revision: 1432623
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.620.0-3.mga7
+ Revision: 1293973
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 0.620.0-2.mga7
+ Revision: 1247459
- Rebuild for perl 5.28

* Mon Nov 06 2017 tv <tv> 0.620.0-1.mga7
+ Revision: 1176188
- update to 0.62

* Tue Oct 03 2017 tv <tv> 0.610.0-3.mga7
+ Revision: 1167288
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.610.0-2.mga7
+ Revision: 1149431
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 0.610.0-1.mga7
+ Revision: 1128031
- New version 0.61 + rebuild for perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.590.0-3.mga6
+ Revision: 1035673
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.590.0-2.mga6
+ Revision: 958198
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.590.0-1.mga6
+ Revision: 891605
- update to 0.59

* Thu Jul 23 2015 sander85 <sander85> 0.580.0-1.mga6
+ Revision: 856482
- update to 0.58

* Fri Jun 26 2015 tv <tv> 0.570.0-2.mga6
+ Revision: 845490
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.570.0-1.mga6
+ Revision: 840595
- New version 0.57 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.530.0-6.mga5
+ Revision: 743269
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.530.0-5.mga5
+ Revision: 731909
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.530.0-4.mga5
+ Revision: 686823
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.530.0-3.mga5
+ Revision: 631873
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.530.0-2.mga4
+ Revision: 534002
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.530.0-1.mga4
+ Revision: 475995
- update to 0.53

* Wed May 29 2013 tv <tv> 0.520.0-3.mga4
+ Revision: 430127
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.520.0-2.mga3
+ Revision: 374696
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 315936
- update to 0.52

* Fri Aug 31 2012 kharec <kharec> 0.510.0-1.mga3
+ Revision: 286572
- update to 0.51

* Thu Jul 05 2012 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 268069
- update to 0.50

* Wed May 30 2012 jquelin <jquelin> 0.480.0-2.mga3
+ Revision: 251294
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 0.480.0-1.mga2
+ Revision: 213246
- update to 0.48

* Mon Dec 26 2011 wally <wally> 0.470.0-2.mga2
+ Revision: 187862
- fix samples dir rights

* Sat Nov 05 2011 kharec <kharec> 0.470.0-1.mga2
+ Revision: 163520
- update to 0.47

* Sat Jun 11 2011 sander85 <sander85> 0.460.0-2.mga2
+ Revision: 104170
- perl 5.14

* Sat Feb 26 2011 jquelin <jquelin> 0.460.0-1.mga1
+ Revision: 60396
- update to 0.46

* Sat Jan 22 2011 jquelin <jquelin> 0.450.0-1.mga1
+ Revision: 31435
- mageia rebuild
- imported package perl-Variable-Magic

